/**
 * DATA_0010 部件模型
 *
 * @export
 * @class DATA_0010Model
 */
export default class DATA_0010Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof DATA_0010Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibizorderdetailid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibizorderdetailname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'ibizordername',
        prop: 'ibizordername',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'ibizuniproductname',
        prop: 'ibizuniproductname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'unit',
        prop: 'unit',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'unitprice',
        prop: 'unitprice',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'quantity',
        prop: 'quantity',
        dataType: 'INT',
      },
      {
        name: 'amount',
        prop: 'amount',
        dataType: 'FLOAT',
      },
      {
        name: 'createman',
        prop: 'createman',
        dataType: 'TEXT',
      },
      {
        name: 'createdate',
        prop: 'createdate',
        dataType: 'DATETIME',
      },
      {
        name: 'updateman',
        prop: 'updateman',
        dataType: 'TEXT',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'ibizuniproductid',
        prop: 'ibizuniproductid',
        dataType: 'PICKUP',
      },
      {
        name: 'ibizorderid',
        prop: 'ibizorderid',
        dataType: 'PICKUP',
      },
      {
        name: 'ibizorderdetailid',
        prop: 'ibizorderdetailid',
        dataType: 'GUID',
      },
      {
        name: 'ibizorderdetail',
        prop: 'ibizorderdetailid',
        dataType: 'FONTKEY',
      },
    ]
  }

}